%define upstream_name    Log-Any-Adapter-Dispatch
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Test::More)
BuildRequires: perl(Log::Any::Adapter)
BuildRequires: perl-Log-Any-Adapter
BuildArch: noarch


%description
This Log::Any adapter uses Log::Dispatch for logging.

You may either pass parameters (like _outputs_) to be passed to
'Log::Dispatch->new', or pass a 'Log::Dispatch' object directly in the
_dispatcher_ parameter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-5.mga4
+ Revision: 512646
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-4.mga3
+ Revision: 369204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-3.mga1
+ Revision: 36880
- rebuild
- mageia rebuild
- imported package perl-Log-Any-Adapter-Dispatch


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.60.0-2mdv2011.0
+ Revision: 624920
- Fix the dependency on perl-Log-Any-Adapter
- import perl-Log-Any-Adapter-Dispatch

